# Get a metadata schema Retrieves full document schema definitions by their IDs. Request: ids - List of schema IDs to retrieve. Response: schemas - List of DocumentSchema objects with the full field definitions. Endpoint: POST /api/v1/schema/retrieve-schema Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `ids` (array) ## Response 200 fields (application/json): - `schemas` (array) - `schemas.id` (string) Rule data fields - `schemas.name` (string) Rule data fields - `schemas.description` (string) Rule data fields - `schemas.schemaType` (integer) Enum: 0, 1, 2, 3 - `schemas.catgeory` (string) Rule data fields - `schemas.fields` (object) - `schemas.fields.required` (array) - `schemas.createdDt` (object) - `schemas.createdDt.seconds` (integer) - `schemas.createdDt.nanos` (integer) - `schemas.updatedDt` (object) - `schemas.deletedDt` (object) ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)